import { Combobox } from '../combobox';
import { Select } from '../select';
import { BaseDatasource } from '../utils';
export declare class OptionsDatasource extends BaseDatasource {
    labelField: string;
    valueField: string;
    labelFormatter: any;
    initialSelectedValue: string | number;
    initialSelectedValueChanged(oldValue: any, newValue: any): void;
    initalSelectedValueInitialized: boolean;
    protected select: Select | Combobox;
    optionElement: string;
    isSnapshot: boolean;
    protected options: {
        value: any;
        label: string;
    }[];
    connectedCallback(): Promise<void>;
    asyncModeIntialization(): Promise<void>;
    clearData(): void;
    syncComponentData(snapshotData?: any[]): void;
    handleStreamInserts(insertedRows: any[]): void;
    handleStreamDeletes(deletedRows: any[]): void;
    handleStreamUpdates(updatedRows: any[]): void;
}
//# sourceMappingURL=options-datasource.d.ts.map